Welcome

Vidmex is a powerful, easy to use, highly interactive player.
With Vidmex you can:
- watch DivX, WMV, ASF, MPEG video, and also all other system supported video
formats;
- watch movies with customizable subtitles;
- adjust brightness, contrast, saturation, color balance, zooming, inverting and other video effects in real time;
- listen to music (WAVE, MP3 formats, etc.);
- extract precise video fragments from any video file (MPEG, AVI, ASF, WMV, Animated GIF, etc.);
- add various video effects to enhance your video clips (such as smoothing, sharpness, blurring, emboss, etc.) ;
- add subtitles to the extracted movies or video clips;
- extract sound fragments from any audio or video files and save it as WAV (compressed) or MP3;
- extract images from video clips and save it as JPEG or BMP format;
- join video fragments from many different video sources;
- join audio fragments from different video or audio sources;
- mix video fragments with audio fragments;
- mix audio fragments;
- change video parameters: video dimension, frame rate, key frame rate, quality;
- change audio parameters: bitrate, channels, frequency;
- insert custom logo, image or animation into video fragment (on the surface of the video);
- adjust size of video playback window, preserving aspect ratio (without additional controls);
- watch minimized video on top of all other windows;
- organize your media files with playlist (save, sort, filter, set playback range for each file);
- change global hot keys (control player from any application);
- choose various skins, and even make custom skins;
- set Vidmex as default player;
- drag'n'drop files on playlist.

Copyright (c) Gromkov's Software, 2001-2005.


Playback

Vidmex supports various video and audio formats. Player uses common video codecs installed on your system for playback. DivX is very popular video codec, which can be used with this player in order to perform necessary media operations. Vidmex can be used by default, so it is possible to associate player with media files (ASF, WMA, AVI, MP3, WAV, MPEG, WMV, etc.). For this purpose use options -> Register file types. It's possible to register file types and also refuse changes at any moment.

You can use popup menu of playback window by clicking right button of mouse.

Vidmex player contains the standard controls for accessing your media. The following controls can be accessed from the buttons on the main window as well as the popup menu: Play, Pause, Stop, Next file, Previous file, BEGIN, END. You can load an existing media file by clicking Open. Subtitles can be loaded after opening the movie.

Size of playback window can be changed manually, so it's possible to watch minimized video on top of all other windows. In fullscreen mode you can access main window controls by moving mouse cursor at the bottom of the screen, playlist - at the left edge, effects - at the top edge.

In popup menu "playrate" allows you to change playback rate for video & audio. You can also change aspect ratio (original, 16:9, 4:3 or custom). During video/audio playback you can select from pop-up menu "properties", where it's possible to configure filters and to view important properties of media file (such as stream length, frame resolution, framerate, FOURCC, depth etc.).


User interface

Vidmex has flexible user interface with skins and docking windows. The standard skins are: Blue Digital, Aqua, Ice. You can change these existing skins or make new skins.

In order to show playlist, press Ctrl+Q key or click "playlist" button on main window.

In Vidmex Playlist you can play the whole media files or fragments of video/audio files (click menu: Edit->Set playback range ("R" key) to enter start time and end time). It's possible to specify playback range with right mouse button while the file is playing (right-click on the right part of item's area as shown on the picture). Double-click on item in order to reset values of playback positions.

By using pop-up menu (right button of mouse) or File menu you can add several files to playlist or to select the folder. Files in playlist can be sorted by name, type, directory and duration. It's possible to move selected files with mouse, remove, copy and paste items. Vidmex supports save and load operations for M3U and PLS playlist formats. Repeat All/Repeat One command allows according to your preferences to loop playlist or to loop one file. Playlist size can be changed by dragging edges of main window. Vidmex Wizard is integrated with playlist: selected files can be added directly into Vidmex Wizard by using Operation -> Add to Wizard menu. Video and audio fragments can be extracted without BEGIN/END buttons: just select playback range, and use necessary operation in playlist menu.

You can quickly search or filter the files in playlist by typing word or a part of the word in the search area shown on the image.

Vidmex Options

- Remember window position and size - positions of playlist, main window and playback window will be saved and restored automatically after each launching of application.

- Always on top - Player window will be always on top of all applications.

- Autostart playback - only load files (don't play).

- Remember last movie played - the last played file and position will be restored after each launching of Vidmex.

- Shutdown computer when finished - computer will be turned off after the last file in playlist.

- Remember effect settings - automatically save and restore effect settings.

- Automatically find and load subtitles - load subtitles with the same file name as movie, but with different extension. For example: moviename.avi, moviename.txt.

Start and End positions of selected fragment can be changed by using buttons (BEGIN/END), but also can be edited manually in Vidmex Wizard.

In order to select audio device for output (for example, if you have several sound cards or amplifiers) use Options -> Video/Audio menu -> Output audio device. Specific Graphic mode for fullscreen video also can be configured manually.

It's possible to choose custom global hot keys for video or audio navigation, and also minimal step for fast rewind (use Options -> Hot Keys). 'Play', 'Stop', 'Pause', 'Next', 'Previous', 'Begin', 'End' buttons can be associated with keyboard keys. So, in such way you can play, stop, rewind or change track/file even without a monitor (only with keyboard) from ANY application. This feature is very useful for music: you can stop music, choose item in playlist or decrease, increase the volume level immediately - by pressing defined combination of keys (you even do not need to know whether Vidmex window is currently active or not, global hot keys are always working from ANY application). Helpful tips (name of file, volume level, position) are always shown on top of the taskbar. Tips are useful when you listen to music and use global hot keys while Vidmex window isn't active.


Effect controls

Effects can be used for real-time video playback and for video processing in Vidmex Wizard.

Subtitles shape

It's possible to change font type, font size, font color and styles. Subtitles can be more readable by using Antialiasing and Bordering effect. Text transparency is an auxiliary effect for specific types of movies (light scenes). Bar transparency is used for all kinds of video, especially for action movies, quick dynamics.

If the time of subtitles doesn't match the time of movie, then "shift the time" and "multiply the time" settings can be used for time correction purposes.

Shift the time - add or subtract specified amount of seconds.

Multiply the time (M) - change time of subtitles according to formula: (new time) = (old time) x M. 25/24 - often used multiplier.

Subtitles position

Vertical and horizontal positions of subtitles can be changed by using slide bars and alignment parameter. Please note, subtitles are shown without string length limitations.

Brightness/Contrast

Brightness and contrast effects menu is selected by default. These effects do not depend on codec type (it can be applied to any video file).

Hue/Saturation

Hue effect lets you change palette of image (adjust certain colors and shades).
Saturation tells how a color looks under certain lighting conditions. For instance, a room painted a solid color will appear different at night than in daylight. Over the course of the day, although the color is the same, the saturation changes. Be careful not to think about SATURATION in terms of light and dark but rather in terms of pale or weak and pure or strong.
Intensity effect is used for brightness increasing while preserving colors.

Color balance

Allows to set intensity of each independent color - RED, GREEN, BLUE (or combination of these colors).

Image correction

Blur - the softening of image detail, produces an picture with a loss of sharpness.
Sharpen - enhances the contrast at edges of light and dark shapes to make an image appear more in focus.
Smooth - frees image from roughness, bumps, ridges and irregularities.

Zoom/Flip

You can zoom in a certain part of movie image. With arrow buttons it's possible to move zoomed area. Exact position, width and height of zoomed area can be specified manually by entering numbers. If the movie is displayed upside down, then use "Flip Vertically" function. In order to reverse the direction of the Horizontal (X) coordinate, use "Flip Horizontally".

Misc. effects

Invert - all colors and shades in video are reversed, so that the dark areas in the subject appear light on the image and vice versa.
Emboss - a three-dimensional effect that allows video to look like it was raised from the background.
Grayscale - this effect can be used to make video consisting of shades of grey, with no colour.


How to extract image

1. While you watch video clip, press End button. Begin button is ignored in this case. Image will be extracted from the last frame of selected range.

2. After that, press Image button in Vidmex Wizard. Select image name without extension, change path where the file will be located.

3. If you want to preserve exact pixel-by-pixel quality - then use BMP format. BMP is a standard Windows Bitmap format, which is uncompressed and quality of image is unchanged (maximal). In order to minimize file size of extracted image choose compressed JPEG format, and also set quality level. JPEG is compressed format, generally you can save a lot of disk space and publish such images in Internet, but the quality is lower. Though it depends on the selected compression quality level (1-100%). 95% is a reasonable value if you want to save quality. 40-60% is recommended range for minimizing size of file.

4. Press Extract button. Operation will be performed quickly. You will be able to view the extracted image (BMP or JPG) using Vidmex. Open it as usual media file.

Note: image extraction function is enabled only for registered users.

You can extract single frame from ANY video format supported by your system, for example:

FROM: AVI, MPEG, WMV, ASF, BMP, JPEG, TGA, GIF, Animated GIF etc.;
TO: BMP or JPEG.


How to extract video fragment

1. Select video fragment by using Begin and End buttons. You can also edit start time and end time manually (in playlist, in Vidmex Wizard) or specify exact start and stop positions with hot keys: Rewind and F. Fwd.

2. In Vidmex Wizard press Video fragment button.
If the source file is AVI, then you can take advantage of Fast Mode. It means, that video will be copied directly from source file without changing quality, size and compression. Otherwise use Slow Mode (recompression). In slow mode you can change size of image, compression algorithm, and supported parameters of selected video compressor. In order to extract video without sound - choose Extract only video.
Press NEXT.

3. Choose suitable audio compressor from the list, and audio parameters. Windows Media Audio or MP3 are highly recommended.
Attention! don't try to use MP3 in Fast Mode, because MPEG Layer-3 was not designed for interleaving mechanisms of Fast Mode.
Press NEXT.

4. In slow mode choose also video codec (video size, frame rate if this is necessary). Of course, some parameters may be just ignored, because all video and audio parameters are auto-detected from source files. For example, default video dimension and frame rate parameters are offered the same as in source video file. Also, DivX codec is used by default, or MJPEG if DivX is absent. MJPEG is not bad format, but compression rate is low. If your project is destined for tape or television, the DV Video Encoder (digital video) format is an excellent choice. Indeo codec uses much more time for encoding process. Cinepak, Video 1 and RLE are obsolete.
Press NEXT.

5. Finally, select your favorite configuration for video codec using native configuration window (each codec configuration is different). Now, press OK and wait. You can cancel media operation at any time.

Please note, if Vidmex Wizard contains a lot of files, then video fragment will be extracted from currently selected file (named as source file).

Video fragment can be extracted from ANY video format supported by your system, such as:

FROM: AVI (DivX, all codecs), MPEG, WMV, ASF, MOV, BMP, JPEG, TGA, Animated GIF;
TO: AVI(using any codec: DivX, DV, MJPEG etc.).


How to merge video fragments

1. Add several video fragments into Vidmex Wizard from different video sources (films, clips, etc.) by using Begin and End buttons. For example, you can add 5 minutes from the middle of AVI video file A, 10 minutes from the end of ASF video file B, 1 second of JPEG image C, and 2 minutes of MP3 music at the end (blank image). Besides, many video fragments from the same video file can be joined. Also, it's possible to merge a sequence of pictures (slideshow). Or make simple musical avi file. When the fragments are successfully added, press Merge video fragments button. You can also merge all files from playlist by pressing several keys: Ctrl+A (select files) and Shift+V (merge video)

2. Choose path and file name. If you decided to extract video information without sound, check option to Merge only video streams. Otherwise, use default video and audio settings. Note, if files contain no audio information, then it will be detected and corresponding option will be checked automatically.
Press NEXT.

3. Select audio codec and audio parameters. Audio parameters will be auto-detected from source files (maximal quality will be chosen among selected files). You can try to use MPEG Layer-3, Windows Media Audio, Microsoft ADPCM.
Press NEXT

4. Finally, choose favorite video codec (for example: DivX, MJPEG) and video parameters. By default, maximal video size is used, so smaller video files will be stretched. It's possible to change video dimension manually. If you decided to introduce slow frame motion effect, then choose lower value for frame rate.
Press NEXT.

5. Change additional video compressor's standard settings or ignore it by pressing OK.

File creation can take time depending on the duration of selected video fragments, selected video/audio codec and dimension.

You can merge: video files, video and audio files, images. ANY directshow supported formats can be used.

FROM: AVI, MPEG, ASF, WMV, WAV, MP3, WMA, BMP, JPEG, TGA, Animated GIF;
TO: AVI (using any codec: DivX, Indeo, MJPEG etc.).


How to mix video and audio

You can add music to your home video records, make custom video clips and presentations by joining several video files, pictures and mixing it with music.

How to mix any video fragment with one or several musical fragments:

1. First of all, add your main video file or fragment into Vidmex Wizard by using Begin and End buttons, or by pressing W in Playlist. The first file is considered as video source with audio.

2. Next, add sound fragments either from MP3, WAV or AVI, MPEG (press again: Begin and End). All video information (streams) from these files will be discarded. So, only the first file listed in Vidmex Wizard will be used as main video source.

3. Press Mix video and audio button. Use default parameters, and choose filename.
Press NEXT.

4. Select audio codec and audio parameters. Again, audio parameters are automatically chosen. So, in order to obtain maximal quality, leave them unchanged.
Press NEXT.

5. Configure your favorite video codec, change video size (if it's necessary) and frame rate.

Media operation may be canceled at any time.

You can mix: ANY directshow supported video and audio types of files.

Please note, audio and video fragments are mixed from the beginning of the selected fragments. Duration of fragments may differ from each other.


How to insert logo

Logo is a picture or animation, that can be placed on top of all extracted/joined/mixed video fragments. You can use any kind of video file, such as BMP, AVI, ASF, WMV, MPG, Animated GIF, JPEG, TGA etc. The size of logo will be the same as the source image size.

1. In order to add logo press Choose logo button in Vidmex Wizard. Open video file. The first frame of the file will appear on the screen. Drag and drop the image on the screen. In such way, you'll set position of logo. These parameters (x,y) will be accepted for all processed video fragments.

2. Next, accept the position and check option to use logo on top of all extracted fragments.

3. Now, just try to extract or join video fragments and you'll see the result.

Please note, logo function doesn't work in Fast Mode, because in this mode - video streams remain unchanged.

So, as you can notice not only static image can be selected. For example, it can be something like movie in movie effect. And your logo can be dynamic. Use animated "eternally cycled" GIF for that purposes or small AVI with long duration.


Video compressors

Codec stands for COder/DECoder. It is a small piece of software that allows you to make/play movie/audio compressed in a certain format. MPEG-1, MPEG-2, MPEG-4, DivX are all codecs. AVI, ASF, WMV are not codecs, but file formats. AVI is a container format, meaning it can be made using many different codecs.

Video files in general are really big, a normal sized 1 minute movie can take up to 1 Gb of hard disk space. While this is good for the quality of the video, it is not good for anything else. Imagine waiting for 1 Gig to be downloaded before you can see a 1 minute video....even at the fastest internet speed, you'd be long gone to the bar before you would watch it.

CODECs are little plug-ins that help compress and decompress movies, thus allowing us to put them on the internet with a minimum of hard disk space and download time required. Of course we lose a bit on the quality, but that is thel price to pay.

Codecs compress movies by looking at consecutive frames and storing just the differences (temporal compression), and/or by generalizing an image and removing redundant data (spatial compression). Many codecs use both spatial and temporal compression techniques. The process of analyzing each frame and compressing a movie can take a long time, but decompression takes place in real time to allow smooth playback. Most codecs use lossy compression algorithms, which means the process of compression removes data from the original movie. You should never compress a movie multiple times, as each pass will lower the quality of the movie. Choosing a codec depends on your source material. For temporal compression, video that changes very little from frame to frame will compress better than video with lots of motion. For spatial compression, the less detail there is in an image, the better the codec is able to generalize and compress it.

DivX

The DivX codec is the greatest codec, the best compression technology for high-resolution movies. The DivX codec is becoming the standard for high quality video over IP networks because it hits the sweet spot between superior visual quality and small file size. With a broadband connection, you can download a full-length feature film in the time it takes to have a pizza delivered!
DivX was based on Microsoft MPEG-4 technology. MPEG-4 is a future standard for the delivery of interactive multimedia across networks. As such, it is more than a single codec, and includes specifications for audio, video, and interactivity.

XviD

XviD is an ISO MPEG-4 compliant video codec. MPEG-4 is very effective in compression, because it reuses data from one image to generate the next one (still images of a video are only 1/25 of a second or even less apart from each other, in almost all cases they look very similar). XviD has a lot of useful features for compression and video processing. The codec was developed by the group of enthusiasts. XviD isn't compatible with DivX.

DV Codec

The Digital Video Codec is different from most of the codecs. It is used in two primary ways:
For storing original footage, and transferring it to the computer;
For storing final edited footage, for playback to a television.
DV (Digital Video) cameras provide two major advantages over conventional analog cameras, as shown below.
Image quality: by storing the video in a digital format instead of analog, it is possible to attain excellent image quality on moderately priced gear.
Video capture: The video is digitized as it's being filmed, and is stored as files on a tape in the camera.

MJPEG

MJPEG stands for Motion JPEG, and is identical to Photo-JPEG except that the MJPEG codecs have translators built-in to support the different capture cards.
MJPEG is not the same as MPEG, although the names are confusingly similar. The primary difference is that MPEG provides temporal compression, while MJPEG only provides spatial compression.
MJPEG codecs are often used as storage formats for large files that need to be archived with good quality. It is a lossy codec, but at 100% quality, the image degradation is minimal. All the JPEG codecs require significant amounts of CPU power.
Avoid saving the same file multiple times with any JPEG codec, as the JPEG artifacts may build up and become objectionable.

Indeo

Indeo was developed by Intel in the 1980's, and was originally knows as "RealTime Video 2.1" (RT21). Indeo is very similar to the Cinepak codec. It is is well-suited to CD-ROM, has fairly high compression times, and plays back on a wide variety of machines.
Takes about a third less time to compress video than Cinepak. Has color artifacting that some producers find objectionable. The recommended key frame interval for Indeo is 4, regardless of the frame rate.

Cinepak

Cinepak was originally developed to play small movies on '386 and '030 systems, from a single- speed CD-ROM drive. Its greatest strength is its extremely low CPU requirements. Cinepak's quality/datarate was amazing when it was first released, but does not compare well with newer codecs available today. There are higher-quality (and lower-datarate) solutions for almost any application. However, if you need your movies to play back on the widest range of machines, you may not be able to use many of the newer codecs, and Cinepak is still a solid choice. Video quality is lower than many other codecs at the same datarates.

Lossless video/audio codecs

All usual codecs have lack of quality preservation. DivX/XviD video contain a lot of small defects, but they are hardly appreciable by human eye. This quality loss can be even unseen if the video codec is used on video materials only once. But if you want to recompress the video several times for various purposes (for example, applying visual enhancement or effects, merging video fragments) then you need video codec which always saves 100% of quality. This is lossless video codec.

HuffYUV

Huffyuv is a lossless video codec that is highly recommended to use in tasks that are done prior encoding to a lossy formats, like DivX or MJPEG. The output from the decompressor is bit-for-bit identical with the original input to the compressor. Huffyuv is a freeware codec that offers excellent performance, but requires a lot of free HDD space.

AlparySoft Lossless Codec

This codec is created for lossless video compression. The techniques, used by this filter, allow to compress videos 1.2 - 1.5 times better than HuffYUV. The source and destination video compressed with ASLC are absolutely identical after encoding/decoding process, the compression ratio is twice - 5 times.

MSU Lossless Video Codec

This codec is intended for lossless video compression (used for saving master copies or intermediate rendering results). "Low compression" - absolutely lossless mode: the data in RGB format after decompression is bitwise equal to the source data. This mode has the smallest compression ratio.

AVIzlib

Lossless video codec based on zlib library. The codec has the same compression algorithm as ZIP packer. AVIzlib is intended for video streams inside AVI container.

True Audio Codec (TTA)

True Audio Codec is a Lossless Audio compression codec. In contrast to MPEG Layer-3, it reduces the size of audio streams without affecting the quality, as the uncompressed signal is exactly identical to the original. This codec can be successfully used for AVI files (True Audio DirectShow Codecs Suite).


How to extract audio fragment

Audio fragment can be extracted from video and audio files. Two major output formats are: MP3 and WAVE(compressed). As you can notice, compressed WAV format is much more powerful than old simple uncompressed PCM WAV. It may be compressed as WMA, GSM, ADPCM etc.

1. If you want to extract audio fragment from video clip, from MP3, just mark positions by using Begin / End buttons and press Audio fragment in Vidmex Wizard. (You can also do it in playlist menu).

2. Next, enter file name and select the appropriate folder.

3. Choose MP3 or compressed WAV format and press Next button.

4. For MP3 - make sure that MPEG Layer-3 codec is selected, for WAV - use your favorite codec. If you encountered problems with MP3 codecs, go to http://www.vidmex.com and download Audio Codec Pack.

5. Finally, choose parameters - quality of output audio file: bitrate (in kilobytes per second), frequency (in KHz) and number of channels (stereo or mono). Generally, there's no need to change them, because by default bitrate and frequency parameters are used the same as in source video/audio file.

6. Press Extract and wait. Audio extraction is usually much faster than video extraction. Operation can be canceled at any time.

Audio fragment can be extracted from ANY media format supported by your system (directshow), such as:

FROM: WAV PCM, WAV compressed,MP3, WMA, AVI, MPEG, WMV, ASF, etc.;
TO: WAV(compressed) or MP3.

Please note, if Vidmex Wizard contains a lot of files, then audio fragment will be extracted from currently selected file (named as source file).


How to merge audio fragments

Vidmex allows to merge several audio fragments from video and audio files:

1. Add several fragments into Vidmex Wizard's list using Begin / End buttons. (For example, you can add sound from film, musical fragments from video clips or audio files). It's possible to merge all audio streams from files added in playlist - press Ctrl+A and then Shift+A.

2. Next, press Merge audio fragments button in Vidmex Wizard.

3. Enter file name, and choose output format - MP3 or WAV.

4. After that, select audio codec (for MP3 - MPEG Layer-3 codec will be selected automatically, for WAV - choose ADPCM, Windows Media Audio or another).

5. Audio parameters are detected from source files. Among audio streams the highest bitrate and frequency parameters are always used by default. So, maximizing quality has no sense.

6. Finally, press Extract. You can cancel operation at any time.

You can merge: ANY directshow supported types of audio files, audio information(streams) from video files.

FROM: WAV PCM, WAV compressed, MP3, WMA, AVI, MPEG, ASF, WMV etc.;
TO: WAV or MP3.


How to mix audio fragments

You can mix several audio fragments from audio and video files:

1. Add several fragments into Vidmex Wizard's list by using Begin / End buttons. Or select and mix all files from playlist - press Ctrl+A and M key.

2. Press Mix video and audio button.

3. Enter file name, and choose Mix only audio streams. Select MP3 or WAV.

4. After that, select audio compressor and audio parameters. For MP3 - MPEG Layer-3 is selected automatically, for WAV - use ADPCM, PCM, WMA etc. Press Extract.

All audio streams will be mixed from the beginning of the file. Duration of the mixed file will be equal to the duration of the longest source file.

You can mix: ANY directshow supported video and audio types of files:
FROM: WAV PCM, WAV compressed, MP3, WMA, AVI, MPEG, ASF, WMV etc.;
TO: WAV or MP3.

Please note, audio and video fragments are mixed from the beginning of the selected fragments. Duration of fragments may differ from each other.


How to register

You can order Vidmex software by RegSoft Secure Order from Vidmex web page: http://www.vidmex.com

Order page: http://www.regsoft.net/purchase.php3?productid=51822

Payments are handled by RegSoft, popular registration service on the Internet. The ordering pages are on a secure web site that encrypts all transmitted credit card data according to the secure HTTP protocol. Regsoft supports On-Line Ordering, FAX Ordering, Postal Mail Ordering, Phone Ordering etc.

Price: $ 13.00

After accepting the registration fee you will receive your registration code by e-mail in 12-24 hours or within several days.
After that, you can register: Options -> About -> Registration

When you order Vidmex you will receive:
-Vidmex program without limitations.
Duration of extracted video fragment is unlimited.
Duration of extracted audio fragment is unlimited.
Duration of joined video fragments is unlimited.
Duration of joined audio fragments is unlimited.
Duration of mixed video fragments is unlimited.
Duration of mixed audio fragments is unlimited.
Possibility to extract images.
-Free future versions
-Free email based technical support for as long as you need it

Copyright (c) Gromkov's Software 2001-2005


License agreement

Gromkov's Software Vidmex
Software License Agreement

IMPORTANT - READ CAREFULLY:

This is a legal agreement between you (either an individual or an entity) and Gromkov's Software for the Gromkov's Software software product identified above, which includes computer software and associated media, and may include printed materials and online or electronic documentation ("SOFTWARE PRODUCT" or "SOFTWARE"). BY USING THE SOFTWARE, YOU AGREE TO BE BOUND BY THE TERMS OF THIS AGREEMENT. IF YOU DO NOT AGREE TO THE TERMS OF THIS AGREEMENT, DO NOT INSTALL AND/OR USE THIS SOFTWARE. USER'S USE OF THIS SOFTWARE IS CONDITIONED UPON COMPLIANCE BY USER WITH THE TERMS OF THIS AGREEMENT.

Software Product License

1. THE SOFTWARE PRODUCT IS PROTECTED BY COPYRIGHT LAWS AND INTERNATIONAL COPYRIGHT TREATIES, AS WELL AS OTHER INTELLECTUAL PROPERTY LAWS AND TREATIES. UNAUTHORIZED REPRODUCTION OR DISTRIBUTION OF THIS PROGRAM, OR ANY PORTION OF IT, MAY RESULT IN SEVERE CIVIL AND CRIMINAL PENALTIES, AND WILL BE PROSECUTED TO THE MAXIMUM EXTENT PERMISSIBLE UNDER LAW.

2. GRANT OF LICENSE. This License Agreement permits you to use one copy of Gromkov's Software product (the "Software"), which may include electronic documentation, on a single computer/workstation. The Software is "in use" on a computer when it is loaded into the temporary memory (i.e. RAM) or installed into permanent memory (e.g. hard disk, CD-ROM drive or other storage device) of that computer. You may not use the software on or over a network or any other transfer device without each concurrent user having an original copy of the Software and its documentation. This license is not transferable to any other system, or to another organization or individual. You are expected to use the SOFTWARE on your system and to thoroughly evaluate its usefulness and functionality before making a purchase. This "try before you buy" approach is the ultimate guarantee that the SOFTWARE will perform to your satisfaction; therefore, you understand and agree that there is no refund policy for any purchase of the SOFTWARE.

3. COPYRIGHT. All intellectual property rights in the Software (including all images and text incorporated into the Software) are owned by Gromkov's Software, its suppliers and licensors and are protected by international treaty provisions. Gromkov's Software, its suppliers and licensors retain all rights not expressly granted. You must treat the Software like any other copyrighted material, except that you may make one copy of the Software solely for backup or archival purposes or transfer the Software to a single hard disk provided you keep the original solely for backup or archival purposes. You may not copy the printed materials accompanying the Software. You may not loan, rent or lease the Software. You may not reverse engineer, de-compile or disassemble the Software, except to the extent that this restriction is expressly prohibited by applicable law. You may not distribute printed copies of any user documentation provided in electronic format. Regardless of the type of media you receive, you may only use the portion appropriate for your single user computer/workstation.

4. REDISTRIBUTION. You can freely distribute the SOFTWARE, provided that:
(a) You only distribute the original installation program of the SOFTWARE. You can download the original installation program of the SOFTWARE from Gromkov's Software Web site, http://www.gromkov.com
(b) You DO NOT charge, or ask for donations, for this.
(c) You DO NOT distribute it with any other product, commercial or not, without prior written permission.

5. NO OTHER WARRANTIES. GROMKOV's SOFTWARE DOES NOT WARRANT THAT THE SOFTWARE IS ERROR FREE. GROMKOV'S SOFTWARE DISCLAIMS ALL OTHER WARRANTIES WITH RESPECT TO THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT OF THIRD PARTY RIGHTS. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OF IMPLIED WARRANTIES OR LIMITATIONS ON HOW LONG AN IMPLIED WARRANTY MAY LAST, OR THE EXCLUSION OR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THE ABOVE LIMITATIONS OR EXCLUSIONS MAY NOT APPLY TO YOU. THIS WARRANTY GIVES YOU SPECIFIC LEGAL RIGHTS AND YOU MAY ALSO HAVE OTHER RIGHTS WHICH VARY FROM JURISDICTION TO JURISDICTION.

6. SEVERABILITY. In the event of invalidity of any provision of this license, the parties agree that such invalidity shall not affect the validity of the remaining portions of this license.

7. NO LIABILITY FOR CONSEQUENTIAL DAMAGES. IN NO EVENT SHALL GROMKOV'S SOFTWARE OR ITS SUPPLIERS BE LIABLE TO YOU FOR ANY CONSEQUENTIAL, SPECIAL, INCIDENTAL OR INDIRECT DAMAGES OF ANY KIND ARISING OUT OF THE DELIVERY, PERFORMANCE OR USE OF THE SOFTWARE, EVEN IF GROMKOV'S SOFTWARE HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. IN NO EVENT WILL GROMKOV'S SOFTWARE' LIABILITY FOR ANY CLAIM, WHETHER IN CONTRACT, TORT OR ANY OTHER THEORY OF LIABILITY, EXCEED THE LICENSE FEE PAID BY YOU, IF ANY.

8. ENTIRE AGREEMENT. This is the entire agreement between you and Gromkov's Software which supersedes any prior agreement or understanding, whether written or oral, relating to the subject matter of this license.

Copyright (c) Gromkov's Software 2001-2005. All rights reserved.


Contact information

Vidmex was created by Gromkov's Software.

Gromkov's Software Web Site: http://www.gromkov.com

Vidmex Web Site: http://www.vidmex.com

E-mail: support@gromkov.com

We welcome your comments and suggestions. Your requests help determine our priorities for development. For bug reports, comments, suggestions or complaints, please send e-mail to support@gromkov.com
Feel free to send feedback.

Copyright (c) Gromkov's Software 2001-2005.


__________Audio operations__________

Vidmex Wizard allows to extract audio fragment from avi file. Just mark the fragment, and then push "audio fragment" button.
First, if you want to extract audio as MP3, choose *.MP3 file type, or choose *.WAV for wave file accordingly. This is very important, because extension gives information on how to use audio file. Secondly, after that you will see the next dialog. Choose some codec, which will be used to extract static video fragment with sound from avi file. Thirdly, choose type of file PCM (Wave) or MPEG Layer-3 (MP3), the same as file extension you want. Here you can also specify frequency (quality) of sound.

So, common steps to extract mp3 are:
1) Audio fragment
2) Save as... File type *.MP3
3) DivX codec
4) MPEG Layer-3 type, frequency 44Khz

In order to extract wave follow these steps:
1) Audio fragment
2) Save as... File type *.WAV
3) DivX codec
4) PCM type, frequency 44Khz

NOTE: Audio operations depends on the audio codecs installed on your system. You can save MP3 fragment only if your system supports MPEG Layer-3 codec. Also, don't use AVI files with preload skew: 1 sample.


__________Video operations__________

With Vidmex you can extract video fragments from any AVI file. Begin and End buttons on the main window allow to mark necessary fragment during video playback. Vidmex Wizard helps to save this fragment to file. It allows to extract bitmap image (video frame of the last second of selected fragment) or to export selected video fragment to AVI file. You can use various codecs supported by your system. Quality and size of extracted video fragment depends on the chosen codec. Every AVI file you use is compressed with one of such codecs , so recompressed fragment has another compression structure and another quality. Please note, in order to correctly encode file you must have legal software codecs, such as DivX and MPEG. Speed of compression depends on your system performance.

In order to use properly video processing procedures choose between two modes: (OPTIONS -> VIDEO)
- Video for Windows interface
- DirectShow interface

DirectShow interface
This is new technology supported by Microsoft. It's a standard interface of DirectX, so DirectX must be installed before using this option (in Windows XP, DirectX is a part of OS). Recommended for all users. This interface has great potential of development, and in the future it will be a standard of video technology in Windows environment. Using filters as stand-alone components, high quality of video, and outstanding possibilities of configuration.

In order to extract video section, use several configuration dialogs:
- Firstly, push "Video fragment" button in Vidmex Wizard and choose the name of AVI file.
- Secondly, choose video codec. The codec will be used for recompressing video stream. DivX is used by default.
- Thirdly, choose audio codec for audio stream. You can use PCM (uncompressed), other audio codecs or Mpeg Layer-3 (MP3) which is used by default.
- After that, choose quality of audio (used auto-detection mechanism of audio parameters, so audio settings from your source AVI are default settings). Or you can choose your own parameters, select between different audio frequency/bitrate items.
- Finally, set video codec configuration (DivX has extended configuration window).
Please, note:
Use only fully ad-supported version of DivX or registered version, this is very important! Standard windows MP3 codec has a poor quality. Please, obtain free LAME, Radium versions of MP3 codec or registered version. Find more information on Gromkov's Software site: http://www.gromkov.com

Video for Windows interface
VfW interface is obsolete. Use this interface if you have old machine/OS or can't install DirectX.

Vidmex has built-in frame processing mechanism, so it's possible to make some changes in your video fragment. You can insert your own logo to the video fragment, as any BMP image. Options -> Video -> Insert picture in video fragment, here you can choose image file from hard disk, and using visual drag'n'drop window you can specify position of your logo. So, after you set this option, this logo will be visible in all fragments you will process with Vidmex.

You can also specify frequency of video fragment using video options. This function allows to make delays between frames.
In Vidmex implemented internal video processing algorithm, which uses video streams directly from AVI file, so video fragment is encoded with precision of standard quality, as in professional software.

These codecs are used very often with Video for Windows:
Microsoft Video 1
Cinepak codec by Radius
Microsoft RLE
Intel Indeo(R) Video R3.2
Indeo(R) Video 5.11
Pinnacle DV500
Intel Indeo(R) Video 4.5
Intel Indeo(R) Video RAW R1.2
DivX MPEG-4 (Low-Motion)
DivX MPEG-4 (Fast-Motion)

DivX Codec is an optimal choice for video processing.